%define upstream_name    Test-File-Contents
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Diff)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sat Nov 19 2011 kharec <kharec> 0.200.0-1.mga2
+ Revision: 169223
- imported package perl-Test-File-Contents


* Sat Nov 19 2011 cpan2dist 0.20-1mga
- initial mageia release, generated with cpan2dist
